%global momorel 4
%global __perl_requires %{_tmppath}/%{name}-%{version}.requires

Summary: SWF-Builder module for perl 
Name: perl-SWF-Builder
Version: 0.16
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
#Source0: http://www.cpan.org/modules/by-module/SWF/SWF-Builder-%{version}.tar.gz
Source0: http://www.cpan.org/authors/id/Y/YS/YSAS/SWF-Builder-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/SWF/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.8
BuildArch: noarch
BuildRequires: perl-SWF-File
BuildRequires: perl-Font-TTF

%description
SWF-Builder module for perl

%prep
%setup -q -n SWF-Builder-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > SWF-Builder-%{version}-filelist
if [ "$(cat SWF-Builder-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# custom requires script: drop alternative PDF APIs
%{__cat} <<EOF > %{__perl_requires}
#!/bin/sh
%{__cat} - | %{__grep} -v %{_docdir} | /usr/lib/rpm/perl.req $* \
           | %{__grep} -v 'perl(Font::FreeType)'
EOF
%{__chmod} 700 %{__perl_requires}
		
%clean
%{__rm} -rf %{buildroot}
%{__rm} -f %{__perl_requires}

%files -f SWF-Builder-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.16-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16-2m)
- %%NoSource -> NoSource

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-1m)
- update to 0.16

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.15-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.15-1m)
- update to 0.15

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-1m)
- spec file was autogenerated
